Last Comment Bug 738740 - Code from bug 737434 doesn't compile with clang
: Code from bug 737434 doesn't compile with clang
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: mozilla14
Assigned To: Chris Lord [:cwiiis]
:
Mentors:
Depends on:
Blocks: 737434
  Show dependency treegraph
 
Reported: 2012-03-23 11:56 PDT by Boris Zbarsky [:bz] (Out June 25-July 6)
Modified: 2012-03-24 13:57 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix nsTArray::ReplaceElementAt method (2.12 KB, patch)
2012-03-23 12:05 PDT, Chris Lord [:cwiiis]
bzbarsky: review+
Details | Diff | Review

Description Boris Zbarsky [:bz] (Out June 25-July 6) 2012-03-23 11:56:43 PDT
../../../mozilla/gfx/gl/GLContext.cpp:1188:45: error: taking the address of a temporary object of type 'already_AddRefed<mozilla::gl::TextureImage>' [-Waddress-of-temporary]
                mImages.ReplaceElementAt(i, &teximg.forget());
                                            ^~~~~~~~~~~~~~~~
Comment 1 Chris Lord [:cwiiis] 2012-03-23 12:05:28 PDT
Created attachment 608808 [details] [diff] [review]
Fix nsTArray::ReplaceElementAt method

I've not finished a build yet, but the patch is quite trivial so uploading for review now.
Comment 2 Boris Zbarsky [:bz] (Out June 25-July 6) 2012-03-23 12:24:18 PDT
Comment on attachment 608808 [details] [diff] [review]
Fix nsTArray::ReplaceElementAt method

Oy.  r=me
Comment 3 Chris Lord [:cwiiis] 2012-03-23 12:28:07 PDT
Built and worked fine, pushed to inbound: http://hg.mozilla.org/integration/mozilla-inbound/rev/73db7a5e57f7
Comment 4 Ed Morley [:emorley] 2012-03-24 13:57:28 PDT
Please can you set the target milestone when landing on inbound, along the lines of http://blog.bonardo.net/2012/03/23/how-you-can-help-mozilla-inbound-sheriffs-when-pushing :-)

https://hg.mozilla.org/mozilla-central/rev/73db7a5e57f7

Note You need to log in before you can comment on or make changes to this bug.